
Ceph - Bug #13177

rhel 5.9 doesn't compile (librados only) due to blkid error

09/20/2015 04:24 AM - Rohan Mars

Status: Closed % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Rohan Mars   

Category:    

Target version:    

Source: other Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Changes introduced in configure.ac check for blkid functions which don't exist on rhel 5.9. off master the configure executes, but on

compilation:

common/blkdev.cc: In function 'int block_device_discard(int, int64_t, int64_t)':

common/blkdev.cc:177:20: error: 'BLKDISCARD' was not declared in this scope

return ioctl(fd, BLKDISCARD, range);

^

common/blkdev.cc:178:1: warning: control reaches end of non-void function [-Wreturn-type]

}

I've created a simple fix which put blkid work into RBD build scope.

https://github.com/ceph/ceph/pull/5954

Associated revisions

Revision 937e4f88 - 09/20/2015 06:02 PM - Rohan Mars

rhel 5.9 librados fix, removed blkid from compilation, Fixes #13177

History

#1 - 09/20/2015 04:30 AM - Rohan Mars

Actually, configure.ac is probably fine, but a requires Makefile.am check to exclude blkid for librados only compile on RHEL 5.9. But it makes sense to

me to exclude blkid unless compiling RBD.

#2 - 09/22/2015 02:46 PM - Sage Weil

- Assignee set to Rohan Mars

#3 - 04/19/2017 03:00 PM - Sage Weil

- Status changed from New to Closed
